Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename decamelize-keys

# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-decamelize-keys
Version:	1.1.0
Release:	alt1_3
Summary:	Convert object keys from camelCase to lowercase with a custom separator

License:	MIT
URL:		https://github.com/dsblv/decamelize-keys.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/dsblv/decamelize-keys/v%{version}/test.js


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel

BuildRequires:	npm(decamelize)
BuildRequires:	npm(map-obj)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif
Source44: import.info

%description
Convert object keys from camelCase to lowercase with a custom separator


%prep
%setup -q -n package

cp -p %{SOURCE1} .

%nodejs_fixdep map-obj '^2.0.0'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/ava -v
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_3
- new version

